Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Interface GVTAttributedCharacterIterator.AttributeFilter

All Known Implementing Classes:
  GVTACIImpl.TransformAttributeFilter

Enclosing interface:
  GVTAttributedCharacterIterator

public static interface GVTAttributedCharacterIterator.AttributeFilter

Interface for helper class which mutates the attributes of an AttributedCharacterIterator. Typically used to convert location and rotation attributes to TextAttribute.TRANSFORM attributes, or convert between implementations of AttributedCharacterIterator.Attribute.

Method Summary
`java.text.AttributedCharacterIterator` | `mutateAttributes(java.text.AttributedCharacterIterator aci)` Modify an AttributedCharacterIterator's attributes systematically.

Method Detail

### mutateAttributes

    public java.text.AttributedCharacterIterator mutateAttributes(java.text.AttributedCharacterIterator aci)

  Modify an AttributedCharacterIterator's attributes systematically. Usually returns a copy since AttributedCharacterIterator instances are often immutable. The effect of the attribute modification is implementation dependent.

  Parameters:
    `aci` - an AttributedCharacterIterator whose attributes are to be modified.
  Returns:
    an instance of AttributedCharacterIterator with mutated attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.